First Dance ][ March 14, 2009
Posted by Lumpmoose in computers, entertainment, television.Tags: Dancing with the Stars, Steve Wozniak
add a comment
A loose definition of ‘glamor’ but the very definition of ‘dancing’:
First Dance January 21, 2009
Posted by Lumpmoose in politics, society.Tags: First Dance, Obama Inauguration
add a comment
A loose definition of ‘dancing’ but the very definition of ‘glamor’:
This Land is Your Land January 19, 2009
Posted by Lumpmoose in entertainment, politics, society.Tags: Bruce Springsteen, Obama Inauguration, Pete Seeger
add a comment
Karpology Back November 7, 2008
Posted by Derek in announcement, websites.Tags: karpology
add a comment
I just restored Karpology for those who still care.
Data seems to have been preserved.
What have you done for your country? November 5, 2008
Posted by Brent in computers, entertainment, games, politics, quotations, technology, what "you do here".Tags: election, fallout, fallout3, games
add a comment
I came across this here:
Originally posted by M4EOzzy:
I look forward to many years from now, when people ask me,“Where were you when Barack Obama was elected president?” and I can answer,
“I was in our nation’s capitol, fighting against slavery…….and supermutants……and molerats…..in the year 2252.”
I, too, was on the National Mall saving the world from supermutans, molerats, radscorpions, etc.
The ‘forbidden’ SNL skit October 14, 2008
Posted by Lumpmoose in video.Tags: Congress, humor
1 comment so far
An SNL skit lambasting House Democrats over the housing flop originally aired on October 4th. It was was pulled offline shortly thereafter. Arch-conservative bloggers were livid and ruminating all manners of conspiracy. Eventually an excised version reappeared on Hulu that removed references to threatening Herb Sandler, who had condemned the skit and probably had legal recourse.
Anyway, all that foofaraw aside, an uncensored version is available online and I highly recommend it:

There are lots of reasons to watch it. It’s one of the best SNL skits in years. It spoofs the House of Representatives, which is certainly rare in itself. It’s inaccurate at times, but focuses like a laser beam on House Democrat idiocy and minglings in relation to the housing crisis. It has possibly the world’s first Barney Frank impression (worth the cost of admission alone). It introduces George Soros to pop culture. And it’s amazingly cerebral for SNL.
Backpeddling in Minnesota October 11, 2008
Posted by Lumpmoose in politics.Tags: 2008 election, John McCain
add a comment
I’ve been refraining from posting political stuff because I’m sure people prefer to consume it on their own terms. But this was just too fascinating of a moment and it happened in Minnesota to boot.
At a campaign stop in Lakeville earlier this evening, John McCain finally tried to undue the vitriol that has been bubbling to the surface of his support over the past week. TPM has a good interpretation of the events. Basically, Nate Silver’s analysis that Obama is “scraping the bottom of the barrel” of undecideds has become palpable this week. First, Palin said Obama has been “palling around” with terrorists, then McCain switched 100% of his ads to the message of ‘Fear Obama’. Since Obama has been steadily sucking up all the undecideds since the economic downturn, all that’s left to populate the McCain rallies are the right-wing die-hards, i.e the 20-30% of Americans that would never budge on Bush’s approval ratings. Roused by the fear rhetoric, McCain’s supporters have been taking over the rallies over the past couple days by asking paranoid questions and yelling things like “Terrorist!” and “Kill him!”
That’s all backstory to today. In this perfect storm of political weirdness, what has emerged is the most fascinating and heartrending political moment in recent history. This is really the culmination of a decades-old culture war and neo-Rovism by Steve Schmidt, along with about a thousand other bizarre by-products of Americana:
Taken earlier this evening from a Lakeville, MN rally, this is a stunning change in tone for McCain. There have been many turning-points throughout this election season, but I think this signifies a tangible start to his campaign’s collapse. Which is kind of sad because it’s the first glimpse of the real McCain–the way we used to remember him–in a long time. Certainly not since he sold his soul to a devil of sorts:

Here Lies Love August 21, 2008
Posted by Jacob in music.Tags: David Byrne, Fatboy Slim
add a comment
I just heard about this David Byrne & Fatboy Slim project today.
Planned for release in 2009, Here Lies Love is a concept album in four acts about Imelda Marcos and a servant from her childhood.
Hollywood finally satirizes liberals… several years too late August 18, 2008
Posted by Lumpmoose in entertainment, politics.Tags: 2008 election, An American Carol, Hollywood
add a comment
Trailer for the new right-wing-friendly Hollywood comedy An American Carol, premiering on Fox News of course:
Normally I’d appreciate their spunk, but they really couldn’t have picked a worse year to make their point.
Request for Nom-Nom August 13, 2008
Posted by Derek in technology, what "you do here".Tags: code, shell script
2 comments
We’re still using shell scripts in a Fortune 200 company. Pure hackery. (This wordpress theme is not wide enough, but you get the idea…)
#!/bin/ksh
#
# Shell script to make a backup of the previously compressed file if it exists,
# execute the YUI-Compressor on the specified source file, and clean up the
# backup directory so that it doesn't grow too large
#
trap huphandler HUP
trap '' QUIT
trap exithandler TERM INT
huphandler()
{
print 'Received SIGHUP'
}
exithandler()
{
print 'Received SIGTERM or SIGINT'
exit 1
}
if [ $# -ne 3 ]; then
echo 1>&2 "Usage: yuicompressor <source file-name> <source file-type> <output file-name>"
echo "e.g. home.src.js js home.cmp.js"
exit 1
fi
if [ $1 == $3 ]; then
echo "Error: Source filename and output filename cannot be the same."
exit 1
fi
#echo "Enter the source filename to compress and the type of file; e.g. newNWA.src.css css:"
if [[ -z $2 ]]; then
echo "Please enter a file type, usually it's \"js\" or \"css\":"
read file_type
fi
#echo "Enter the output filename: e.g. newNWA.cmp.css"
if [[ -z $3 ]] ; then
echo "output_file is null, I cannot compress"
exit
else
# make a backup copy first
if [ -f $3 ]; then
echo "Output file already exists, making a backup..."
NOW=$(date +"%Y%m%d.%H-%M-%S")
FILENAME=$3.$USER.$NOW
cp $3 /weblogs/backup/yuicompressor/$FILENAME
chmod 775 /weblogs/backup/yuicompressor/$FILENAME
echo "Output file backed up, now compressing $source_file..."
else
echo "No existing output file found to backup. Starting compression of $source_file..."
fi
#perform the compression
/usr/java14/bin/java -jar /opt/www/scripts/yuicompressor-2.3.6/build/yuicompressor-2.3.6.jar --type $2 $PWD/$1 -o $PW
D/$3
#cleanup backup directory
echo "Checking to see if backup directory cleanup is needed..."
cd /weblogs/backup/yuicompressor/
files_in_dir=`ls $3.$USER.* | wc -l`
files_to_delete=`expr $files_in_dir - 3`
if [ $files_to_delete -gt 0 ]; then
echo "Cleaning up backup directory..."
ls -t | tail -n $files_to_delete | xargs rm
if [ $? -ne 0 ]; then
echo .An error ocurred deleting the files.
exit 1
else
echo "$files_to_delete file(s) deleted."
fi
else
echo "No cleaning of backup directory needed."
fi
fi
